Page MenuHomePhabricator

1.35.0-wmf.21 deployment blockers
Closed, ResolvedPublicRelease

Details

Other Assignee
LarsWirzenius
Release Version
1.35.0-wmf.21
Release Date
Feb 24 2020, 12:00 AM

2020 week 09 1.35-wmf.21 Changes wmf/1.35.0-wmf.21

This MediaWiki Train Deployment is scheduled for the week of Monday, February 24th:

Monday February 24thTuesday, February 25thWednesday, February 26thThursday, February 27thFriday
Backports only.Branch wmf.21 and deploy to Group 0 Wikis.Deploy wmf.21 to Group 1 Wikis.Deploy wmf.21 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.21 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.35.0-wmf.20
Next: 1.35.0-wmf.22

Event Timeline

Change 574853 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/mediawiki-config@master] testwikis wikis to 1.35.0-wmf.21 refs T233869

https://gerrit.wikimedia.org/r/574853

Change 574853 merged by jenkins-bot:
[operations/mediawiki-config@master] testwikis wikis to 1.35.0-wmf.21 refs T233869

https://gerrit.wikimedia.org/r/574853

Mentioned in SAL (#wikimedia-operations) [2020-02-25T20:04:26Z] <jhuneidi@deploy1001> Started scap: testwikis wikis to 1.35.0-wmf.21 refs T233869

Mentioned in SAL (#wikimedia-operations) [2020-02-25T21:19:47Z] <jhuneidi@deploy1001> Finished scap: testwikis wikis to 1.35.0-wmf.21 refs T233869 (duration: 75m 21s)

Change 574866 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/mediawiki-config@master] group0 wikis to 1.35.0-wmf.21 refs T233869

https://gerrit.wikimedia.org/r/574866

Change 574866 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.35.0-wmf.21 refs T233869

https://gerrit.wikimedia.org/r/574866

Mentioned in SAL (#wikimedia-operations) [2020-02-25T21:29:26Z] <jhuneidi@deploy1001> rebuilt and synchronized wikiversions files: group0 wikis to 1.35.0-wmf.21 refs T233869

Change 575077 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/mediawiki-config@master] group1 wikis to 1.35.0-wmf.21 refs T233869

https://gerrit.wikimedia.org/r/575077

Change 575077 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.35.0-wmf.21 refs T233869

https://gerrit.wikimedia.org/r/575077

Mentioned in SAL (#wikimedia-operations) [2020-02-26T20:19:51Z] <jhuneidi@deploy1001> rebuilt and synchronized wikiversions files: group1 wikis to 1.35.0-wmf.21 refs T233869

Mentioned in SAL (#wikimedia-operations) [2020-02-26T20:20:56Z] <jhuneidi@deploy1001> Synchronized php: group1 wikis to 1.35.0-wmf.21 refs T233869 (duration: 01m 04s)

Change 575347 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/mediawiki-config@master] all wikis to 1.35.0-wmf.21 refs T233869

https://gerrit.wikimedia.org/r/575347

Change 575347 merged by jenkins-bot:
[operations/mediawiki-config@master] all wikis to 1.35.0-wmf.21 refs T233869

https://gerrit.wikimedia.org/r/575347

Mentioned in SAL (#wikimedia-operations) [2020-02-27T20:05:57Z] <jhuneidi@deploy1001> rebuilt and synchronized wikiversions files: all wikis to 1.35.0-wmf.21 refs T233869